Package com.saxonica.ee.schema

## Class MissingComponentExceptionImpl

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - net.sf.saxon.type.MissingComponentException
        - - com.saxonica.ee.schema.MissingComponentExceptionImpl

- All Implemented Interfaces:
    `java.io.Serializable`

      public class MissingComponentExceptionImpl
      extends MissingComponentException

  This exception occurs when an attempt is made to dereference a reference from one schema component to another, if the target of the reference cannot be found. Note that an unresolved reference is not necessarily an error: a schema containing unresolved references may be used for validation, provided the components containing the unresolved references are not actually used.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MissingComponentExceptionImpl​(ComponentReference ref)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ComponentReference` | `getComponentReference()` |
    `java.lang.String` | `getMessage()` |

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MissingComponentExceptionImpl

          public MissingComponentExceptionImpl​(ComponentReference ref)

  - ### Method Detail

    - #### getComponentReference

          public ComponentReference getComponentReference()

    - #### getMessage

          public java.lang.String getMessage()

      Overrides:
        `getMessage` in class `java.lang.Throwable`